
QGIS Application - Bug report #21214

QGIS 3.4 asks "Do you want to save the current project?" **immediately** after program finishs the 

starting process.

2019-02-09 08:31 AM - sand thorn

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 29032

Description

Affected Platform:

Windows 10 64-bit v1809

QGIS 3.4.4 64-bit

The v3.5 weekly is also affected.

Perhaps my very own configuration file is messed up? Any suggestions?

History

#1 - 2019-02-11 08:31 PM - Regis Haubourg

- Priority changed from Normal to High

- Affected QGIS version changed from 3.4.4 to 3.5(master)

- Regression? changed from No to Yes

Hi confirmed here on linux, with 3.4 or master as well. Opening an empty QGIS session asks to save the current projet. Really annoying.

#2 - 2019-02-15 10:42 AM - Paul Blottiere

Hi @sand thorn,

In the case of @Regis Haubourg, the issue was due to the mask plugin. Can you run QGIS with the --noplugins option?

#3 - 2019-02-15 10:42 AM - Paul Blottiere

- Status changed from Open to Feedback

#4 - 2019-02-15 10:46 AM - Giovanni Manghi

Paul Blottiere wrote:

Hi @sand thorn,

In the case of @Regis Haubourg, the issue was due to the mask plugin. Can you run QGIS with the --noplugins option?

2024-04-23 1/2



or also try with a new profile.

#5 - 2019-02-15 12:00 PM - Regis Haubourg

- Status changed from Feedback to Closed

- Resolution set to up/downstream

Ok, with a fresh profile I don't have the issue. Let's close that and raise upstream the issue.

#6 - 2019-02-15 12:02 PM - Regis Haubourg

A patch is coming upstream in the plugin : https://github.com/aeag/mask/issues/72

#7 - 2019-02-15 03:25 PM - sand thorn

For me, "Mask" plugin is in "Not Installed" category.

I never enable this "Mask" plugin.

With "--noplugins" still reproduces this bug.

#8 - 2019-02-16 12:22 PM - Sylvain POULAIN

Semi-Automatic Classification Plugin generates same bug

https://github.com/semiautomaticgit/SemiAutomaticClassificationPlugin/issues/53
